| Kea 3.0.2-git

client_exchange.h File Reference
`#include <client_attribute.h>`
`#include <client_message.h>`
`#include <client_server.h>`
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/interval_timer.h>`
`#include <asiolink/io_address.h>`
`#include <asiolink/io_service.h>`
`#include <asiolink/udp_socket.h>`
`#include <cc/cfg_to_element.h>`
`#include <cc/data.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/enable_shared_from_this.hpp>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <chrono>`
`#include <functional>`
`#include <list>`
`#include <mutex>`
`#include <string>`
`#include <vector>`
Include dependency graph for client_exchange.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::radius::Exchange
| RADIUS Exchange. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::radius

## Typedefs
typedef boost::shared_ptr< Exchange > | isc::radius::ExchangePtr
| Type of shared pointers to RADIUS exchange object.

## Enumerations
enum | isc::radius::ExchangeRC { isc::radius::BADRESP_RC = -2 , isc::radius::ERROR_RC = -1 , isc::radius::OK_RC = 0 , isc::radius::TIMEOUT_RC = 1 , isc::radius::REJECT_RC = 2 , isc::radius::READBLOCK_RC = 3 }
| Exchange error codes. More...

## Functions
string | isc::radius::exchangeRCtoText (const int rc)
| ExchangeRC value -> name function.